X2Go Bug report logs - #78
NX_xrandr lacks support from Xrandr 1.2 and higher

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Reinhard Tartler <siretart@gmail.com>

Date: Thu, 6 Dec 2012 12:03:02 UTC

Severity: important

Tags: confirmed, fixed-upstream, moreinfo

Merged with 637

Found in version 3.5.0.27

Fixed in version 3.5.99.0

Forwarded to https://github.com/ArcticaProject/nx-libs/pull/137

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#78; Package x2goagent. (Thu, 06 Dec 2012 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 06 Dec 2012 12:03:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: submit@bugs.x2go.org
Subject: NX_xrandr lacks support from Xrandr 1.2 and higher
Date: Thu, 6 Dec 2012 12:59:36 +0100
Package: x2goagent

When starting a new x2go session, the startup scripts modify the
LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
This replaces the system libXrandr with the NX/X2go  provided one.
Unfortunately, this breaks the xrandr utility:

>> echo $LD_LIBRARY_PATH
/usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11

>> xrandr
xrandr: symbol lookup error: xrandr: undefined symbol: XRRGetScreenSizeRange
zsh: exit 127   xrandr


-- 
regards,
    Reinhard

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#78; Package x2goagent. (Thu, 06 Dec 2012 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 06 Dec 2012 12:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 78@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Reinhard Tartler <siretart@gmail.com>, 78@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#78: NX_xrandr lacks support from Xrandr 1.2 and higher
Date: Thu, 06 Dec 2012 13:17:05 +0100
[Message part 1 (text/plain, inline)]
Hi Reinhard,

On Do 06 Dez 2012 12:59:36 CET Reinhard Tartler wrote:

> Package: x2goagent
>
> When starting a new x2go session, the startup scripts modify the
> LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
> This replaces the system libXrandr with the NX/X2go  provided one.
> Unfortunately, this breaks the xrandr utility:
>
>>> echo $LD_LIBRARY_PATH
> /usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
>
>>> xrandr
> xrandr: symbol lookup error: xrandr: undefined symbol: XRRGetScreenSizeRange
> zsh: exit 127   xrandr

this was done to work around a critical Ubuntu KDE bug in precise:
https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202

The path add-on for Xrandr is only done for KDE sessions. I will be  
happy to revert that nasty hack, but before that, we need someone to  
dig into KDE and (if I recall correctly) the patches applied to  
libxfixes in Ubuntu 12.04 and beyond.

If you disable the LD_LIBRARY_PATH code for Xrandr (x2goruncommand),  
then you will find regularly kwin crashes on KDE in precise+.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#78; Package x2goagent. (Thu, 06 Dec 2012 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 06 Dec 2012 12:48:02 GMT) Full text and rfc822 format available.

Message #15 received at 78@bugs.x2go.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 78@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#78: NX_xrandr lacks support from Xrandr 1.2 and higher
Date: Thu, 6 Dec 2012 13:39:02 +0100
On Thu, Dec 6, 2012 at 1:17 PM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Reinhard,
>
>
> On Do 06 Dez 2012 12:59:36 CET Reinhard Tartler wrote:
>
>> Package: x2goagent
>>
>> When starting a new x2go session, the startup scripts modify the
>> LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
>> This replaces the system libXrandr with the NX/X2go  provided one.
>> Unfortunately, this breaks the xrandr utility:
>>
>>>> echo $LD_LIBRARY_PATH
>>
>> /usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
>>
>>>> xrandr
>>
>> xrandr: symbol lookup error: xrandr: undefined symbol:
>> XRRGetScreenSizeRange
>> zsh: exit 127   xrandr
>
>
> this was done to work around a critical Ubuntu KDE bug in precise:
> https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202
>
> The path add-on for Xrandr is only done for KDE sessions. I will be happy to
> revert that nasty hack, but before that, we need someone to dig into KDE and
> (if I recall correctly) the patches applied to libxfixes in Ubuntu 12.04 and
> beyond.

In that case I'm happy to confirm that your "workaround" does not fix
anything in Kubuntu 12.10 nor when upgrading to raring.

>
> If you disable the LD_LIBRARY_PATH code for Xrandr (x2goruncommand), then
> you will find regularly kwin crashes on KDE in precise+.

This also happens with this workaround.

What does help, however, is downgrading the libxfixes3 package to the
version in oneiric.

-- 
regards,
    Reinhard

Severity set to 'important' from 'normal' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Thu, 06 Dec 2012 23:45:04 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Thu, 06 Dec 2012 23:45:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'x2goagent' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Jun 2014 10:35:02 GMT) Full text and rfc822 format available.

Merged 62 78 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Jun 2014 13:45:01 GMT) Full text and rfc822 format available.

Changed Bug title to 'BadLength (poly request too large or internal Xlib' from 'NX_xrandr lacks support from Xrandr 1.2 and higher' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 62-submit@bugs.x2go.org. (Fri, 15 May 2015 12:20:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 62-submit@bugs.x2go.org. (Fri, 15 May 2015 12:30:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#78; Package nxagent. (Fri, 15 May 2015 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 12:30:03 GMT) Full text and rfc822 format available.

Message #32 received at 78@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 78@bugs.x2go.org
Subject: Re: NX_xrandr lacks support from Xrandr 1.2 and higher
Date: Fri, 15 May 2015 12:29:01 +0000
[Message part 1 (text/plain, inline)]
Control: unmerge -1
Control: retitle -1 NX_xrandr lacks support from Xrandr 1.2 and higher

Issue #78 seems totally unrelated to the GNOME crashes described in  
#62. Thus, unmerging...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Disconnected #78 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 78-submit@bugs.x2go.org. (Fri, 15 May 2015 12:30:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'NX_xrandr lacks support from Xrandr 1.2 and higher' from 'BadLength (poly request too large or internal Xlib' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 78-submit@bugs.x2go.org. (Fri, 15 May 2015 12:30:04 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.27. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 12:35:02 GMT) Full text and rfc822 format available.

Merged 637 78 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 12:35:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 12:40:02 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@gmail.com>:
Bug acknowledged by developer. (Fri, 15 May 2015 12:40:02 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 13:55:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#78; Package nxagent. (Sun, 13 Sep 2015 15:45:01 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 78@bugs.x2go.org, #637@bugs.debian.org
Cc: Reinhard Tartler <siretart@gmail.com>
Subject: Bug#78: [X2Go-Dev] Bug#78: NX_xrandr lacks support from Xrandr 1.2 and higher
Date: Mon, 13 Jun 2016 21:49:12 +0000
[Message part 1 (text/plain, inline)]
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/pull/137
Control: tags -1 fixed-upstream

Hi all,

On  Do 06 Dez 2012 13:17:05 CET, Mike Gabriel wrote:

> Hi Reinhard,
>
> On Do 06 Dez 2012 12:59:36 CET Reinhard Tartler wrote:
>
>> Package: x2goagent
>>
>> When starting a new x2go session, the startup scripts modify the
>> LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
>> This replaces the system libXrandr with the NX/X2go  provided one.
>> Unfortunately, this breaks the xrandr utility:
>>
>>>> echo $LD_LIBRARY_PATH
>> /usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
>>
>>>> xrandr
>> xrandr: symbol lookup error: xrandr: undefined symbol: XRRGetScreenSizeRange
>> zsh: exit 127   xrandr
>
> this was done to work around a critical Ubuntu KDE bug in precise:
> https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202
>
> The path add-on for Xrandr is only done for KDE sessions. I will be  
> happy to revert that nasty hack, but before that, we need someone to  
> dig into KDE and (if I recall correctly) the patches applied to  
> libxfixes in Ubuntu 12.04 and beyond.
>
> If you disable the LD_LIBRARY_PATH code for Xrandr (x2goruncommand),  
> then you will find regularly kwin crashes on KDE in precise+.
>
> Greets,
> Mike

I recently backport RANDR 1.5 extension to nx-X11's Xserver. Pull  
request still open (but review is in process):
https://github.com/ArcticaProject/nx-libs/pull/137

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 13 Jun 2016 21:50:02 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/pull/137'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 78-submit@bugs.x2go.org. (Mon, 13 Jun 2016 21:50:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 78-submit@bugs.x2go.org. (Mon, 13 Jun 2016 21:50:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 13 Jun 2016 22:00:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#78; Package nxagent. (Fri, 07 Apr 2017 12:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to root@ps12.myhostcenter.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 07 Apr 2017 12:05:02 GMT) Full text and rfc822 format available.

Message #63 received at 78@bugs.x2go.org (full text, mbox):

From: root@ps12.myhostcenter.com
To: 78@bugs.x2go.org
Subject: Package Delivery Notification
Date: Fri, 7 Apr 2017 07:53:11 -0400
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check the attachment for your item delivery details!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

0KfELaNYbVWB032wlP3wKUP5vShU/5OXKOcxcGE5/7JrtiV4HiCntpS0XsspnS1a0Qy4YIthuvZ6
rlHhTPefGfQl8Awh2ra9TbT6r2aq1V3ywza14krp/qLTYpc8JgGpTs60M1OQMya8basvTRa2tjCE
BnAeA4dsrZnX3g0hxuIF8vcYqbWUuF6ofj6icXk2LsmxDMSaIjaVl/fppMoKl4Ga4UdeIncUD4eZ
RC3wziwNSCWCo3QkBaQ3Q/n1CcGEiXZiAYE7wekFhJTopn8rwJiyHgTH9pqcuhFKOlcs2OgBX0HQ
TlYnpEKWldRMO55KKGWy762Vb5UpajQTQCYJ9Em8dpKewBJaQQA/dTtHl5nMXB2MXPEK/J2qY/Dj
S/3+PLiMNw89sKYVjazst4KIA4boOk7XlFnqPVsjcuNeZol/1QuNdIT4+JISVyNwCZyBNCfkpPjb
JnvskcVRBci/Rzn2+AQKNKR37BE5jERB95u0Y0E9cmx9WVWB7Lb8p8YyB2fKTgj07w0CLK5wxYe/
8dHVbN5cUwPCFSrPUYCMAD1qJKFlnlgymeEtR/cTzOJA3VHEpPSMuyapPmMFFkgIUNg7bxS28ku1
VJB45hEr5t/mNBpW/Ms686aR2IVEBoGdR/xKVV35gQOk1pCf0zLa6brykngaT+4nJDsnCmq5r5BM
TCCVnvygR+miIv8ELnWL6mjz7UBNHIMQ9V7Eu6zYfKJuGbFaefqOjIikA511pvf9Jsdb1q2jdYgy
ZeWL3EnPddwgj9e3JJbtyGynWPw02vVKA8heZkZdE+TijlfvT7lTkpPrcLdHwMop1Rs4Pxn6WaPw
lBIZJagO60eHQAtt6qYTsBHXOWZ8p81szxJgLNwLQIp6fgYhzGIzVdpqN0aIa/jUXs6z82eioSLZ
ADaTxBX0DCm0HLAEJNVmv66cVBI+MKdDXSvCZL2I+Ozuof+0f7YPWaHXtjA4QMnMf/aAE9UfjCIE
SzLz35/y9ikLPL+8hnIMIo/g+OVwu4BdwoGxJBC1BoYaClbfNZpHcEFfDJjJjw890giXKwEKiNvW
3to/5YfpLZsDdDr7ZWT7504Xne9Oy+bNPaUINLtk2v8Vu6nzW8oeVJ/RZDhCBSdHiPBL7kvkhCHh
AKMXG+cApzm+VdQqivtniV/YHPL0w8Q4QzqX0UNaRVQpRyZRcgHVxuJTTk4RdEQ/LXef+M/w7OM8
BiT3ZbzzIMJILFW4ge+ni9A5cqqeSsCiPcCxRxYhCZ/5swlOlf/P0nxbkkmnNb01UfWBohT8qWeQ
ixDpBJG7mWNn633Gw6AyxgQZQd2D72r5e73Xy3z2oQ==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Parcel-ID-VJLOFU44.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#78; Package nxagent. (Wed, 26 Apr 2017 05:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to sl.sangumc@boscustweb3004.eigbox.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Apr 2017 05:00:02 GMT) Full text and rfc822 format available.

Message #68 received at 78@bugs.x2go.org (full text, mbox):

From: sl.sangumc@boscustweb3004.eigbox.net
To: 78@bugs.x2go.org
Subject: Notification status of your delivery (UPS 003930078)
Date: Wed, 26 Apr 2017 00:22:36 -0400
[Message part 1 (text/plain, inline)]
Dear Customer,

We can not deliver your parcel arrived at April 22.

You can find more details in this e-mail attachment!

With sincere appreciation,
Douglas Kaufman,
UPS Delivery Manager.

[UPS-Receipt-003930078.zip (application/zip, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 20:04:44 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.